Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 19-08-2020 10:45:39

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.9.0-1-amd64
(G)UI : mutter 3.38.0-2
Inscription : 15-02-2016

[Bullseye] Le dmesg | grep obsolete du jour.

De temps en temps les mises à jour de testing entraînent des messages demandant la modification manuelle de fichiers de configuration, bon aujourd'hui c'est le cas. Exceptionnellement, je le recopie ici parce que je n'ai pas le temps de le traiter tout de suite :

dmesg | grep obsolete

[    7.164769] systemd[1]: /lib/systemd/system/apt-listbugs.service:30: Standard output type syslog is obsolete, automatically updating to journal. Please update your unit file, and consider removing the setting altogether.
[    7.164876] systemd[1]: /lib/systemd/system/apt-listbugs.service:31: Standard output type syslog is obsolete, automatically updating to journal. Please update your unit file, and consider removing the setting altogether.
[    7.273665] systemd[1]: /lib/systemd/system/smartmontools.service:10: Standard output type syslog is obsolete, automatically updating to journal. Please update your unit file, and consider removing the setting altogether.
[    7.449631] systemd[1]: /lib/systemd/system/gdm.service:30: Standard output type syslog is obsolete, automatically updating to journal. Please update your unit file, and consider removing the setting altogether.
[  466.625529] systemd[1]: /lib/systemd/system/apt-listbugs.service:30: Standard output type syslog is obsolete, automatically updating to journal. Please update your unit file, and consider removing the setting altogether.
[  466.626447] systemd[1]: /lib/systemd/system/apt-listbugs.service:31: Standard output type syslog is obsolete, automatically updating to journal. Please update your unit file, and consider removing the setting altogether.
[  466.637641] systemd[1]: /lib/systemd/system/gdm.service:30: Standard output type syslog is obsolete, automatically updating to journal. Please update your unit file, and consider removing the setting altogether.
[  466.644854] systemd[1]: /lib/systemd/system/smartmontools.service:10: Standard output type syslog is obsolete, automatically updating to journal. Please update your unit file, and consider removing the setting altogether.
 


La liberté est liée à la qualité du langage, et les bureaucrates qui veulent détruire la liberté ont tous tendance à mal écrire et à mal parler, à se servir d’expressions pompeuses ou confuses, à user de clichés qui occultent ou oblitèrent le sens. Georges Orwell

Hors ligne

#2 19-08-2020 10:57:55

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [Bullseye] Le dmesg | grep obsolete du jour.

Bonjour
je vais regarder ça merci
ps: je poste a partir d une stretch , le fichier "securetty" est présent ( avec tous les tty possible et imaginable) et le pam aussi
je me co sur debian 11

Hors ligne

#3 19-08-2020 11:04:10

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [Bullseye] Le dmesg | grep obsolete du jour.

re,
voila le résultat avant mise a jour


dmesg | grep obsolete
 



[    3.221611] systemd[1]: /lib/systemd/system/apt-listbugs.service:30: Standard output type syslog is obsolete,
automatically updating to journal.
Please update your unit file, and consider removing the setting altogether.

[    3.221616] systemd[1]: /lib/systemd/system/apt-listbugs.service:31: Standard output type syslog is obsolete,
automatically updating to journal.
Please update your unit file, and consider removing the setting altogether.

[    3.248349] systemd[1]: /lib/systemd/system/smartmontools.service:10: Standard output type syslog is obsolete,
automatically updating to journal.
Please update your unit file, and consider removing the setting altogether.
 



ps: modifié

par exemple pour smartmontools


[Unit]
Description=Self Monitoring and Reporting Technology (SMART) Daemon
Documentation=man:smartd(8) man:smartd.conf(5)

[Service]
Type=notify
EnvironmentFile=-/etc/default/smartmontools
ExecStart=/usr/sbin/smartd -n $smartd_opts
ExecReload=/bin/kill -HUP $MAINPID
StandardOutput=syslog

[Install]
WantedBy=multi-user.target
Alias=smartd.service
 



c'est la ligne "StandardOutput=syslog"  qui pose problème ?

Dernière modification par robert2a (19-08-2020 15:01:44)

Hors ligne

#4 19-08-2020 20:07:50

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.9.0-1-amd64
(G)UI : mutter 3.38.0-2
Inscription : 15-02-2016

Re : [Bullseye] Le dmesg | grep obsolete du jour.

Bonsoir robert2a

robert2a a écrit :

c'est la ligne "StandardOutput=syslog"  qui pose problème ?

À mon avis c'est plus complexe d'après :


https://www.freedesktop.org/software/sy … .exec.html

Ce que je comprends, dans la description [Unit] du service, il faudrait soit rajouter une ligne qui commence avec After= et la ligne complète est dans ce cas :
After=systemd-journald.socket, soit il y a déjà une ligne After= et dans ce cas on rajoute à la fin de la ligne le mot systemd-journald.socket pour que les erreurs associées au service soient envoyées au journal. Mais je ne suis pas encore sûr si c'est vraiment After=systemd-journald.socket ou bien After= on systemd-journald.socket

After=, cela veut dire que le service en cours va être suivi du ou des services décrits dans la ligne.

C'est décrit dans le deuxième paragraphe du site qui s'appelle : Implicit Dependencies

Units whose standard output or error output is connected to journal or kmsg (or their combinations with console output, see below) automatically acquire dependencies of type After= on systemd-journald.socket.

Pour StandardOutput=syslog
StandardError=syslog

Je ne sais pas encore si il faut supprimer ces lignes ou bien remplacer syslog par null ou /dev/null. Nous n'allons pas nous presser pour choisir la solution, il faut bien comprendre les informations du site avant. Tu peux déjà voir une ligne After= dans /lib/systemd/system/apt-listbugs.service


Il faudrait réfléchir pour trouver un service qui envoie déjà ses erreurs au journal et regarder son fichier xxxxxxx.service pour s'en inspirer. Ou bien chercher sur le net.

Bon, je vais me coucher tôt, la natation fait dormir. tux.png


La liberté est liée à la qualité du langage, et les bureaucrates qui veulent détruire la liberté ont tous tendance à mal écrire et à mal parler, à se servir d’expressions pompeuses ou confuses, à user de clichés qui occultent ou oblitèrent le sens. Georges Orwell

Hors ligne

#5 19-08-2020 21:09:24

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.8 (amd64)
(G)UI : Openbox
Inscription : 18-11-2013
Site Web

Re : [Bullseye] Le dmesg | grep obsolete du jour.

Pour info, ce n’est pas à l’administrateur de la machine de modifier ces fichiers, mais aux mainteneurs des paquets chez Debian.

Sauf bien sûr si vous avez modifié avant ça des fichiers sous /lib/systemd, auquel cas vous ne faites que récolter les ennuis que vous avez semé tongue

Jouer sous Debian ? Facile !

Hors ligne

#6 20-08-2020 00:04:18

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [Bullseye] Le dmesg | grep obsolete du jour.

Bonsoir
je suis de l'avis de vv222 , on a pas a toucher a systemd
a priori ça vient de debian , donc ce sera réparé par les mainteneurs

de plus je n'utilise pas cette commande "dmesg | grep obsolete" , au début je suis parti sur des paquets "obsolete" (et pas les commandes) d' ou la modif de mon #2.

ps: la je suis en train de trier , effacer , mes vieux disques IDE pour les mettre au recyclage sur un vieux quad core Q6600  sous Stretch qui fonctionne encore très bien (fin de prise en charge juin 2022)
  wink

Hors ligne

#7 20-08-2020 09:08:09

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.9.0-1-amd64
(G)UI : mutter 3.38.0-2
Inscription : 15-02-2016

Re : [Bullseye] Le dmesg | grep obsolete du jour.

vv222 a écrit :

Pour info, ce n’est pas à l’administrateur de la machine de modifier ces fichiers, mais aux mainteneurs des paquets chez Debian.

Sauf bien sûr si vous avez modifié avant ça des fichiers sous /lib/systemd, auquel cas vous ne faites que récolter les ennuis que vous avez semé tongue




Bonjour vv222, nous n'avons pas modifié ceux indiqués dans le message et si je peux parler aussi au nom de robert2a, nous envisagions de les modifier qu'avec la plus extrême prudence au bout d'un raisonnement argumenté et discuté. Je suis à peu près certain que robert2a n'en a jamais modifié aucun, donc nous ne récoltons pas les ennuis que nous aurions semés, ceci d'autant plus ces messages sont apparus dans la mise à jour d'hier chez moi et chez robert2a. Pour ma part, j'en ai modifié certains autres auparavant avec buster en testing, car je te prie de m'excuser, je lis les messages affichés lors des mises à jour, pour ceux-là les modifications étaient extrêmement simples à effectuer et le raisonnement trivial, enfantin, tant et si bien que je me suis exclamé : « Eh, ils pourraient les faire eux-mêmes leurs modifications de fichiers ! » Tandis que pour d'autres, je n'avais réussi à tout comprendre alors j'avais laissé en état.

De toute façon, même si on ne fait rien, les messages finissent par disparaître car les développeurs finissent par apporter la solution.

Ici, comme ce n'est pas trivial, alors j'envisage de ne rien faire. big_smile

Bonne journée


La liberté est liée à la qualité du langage, et les bureaucrates qui veulent détruire la liberté ont tous tendance à mal écrire et à mal parler, à se servir d’expressions pompeuses ou confuses, à user de clichés qui occultent ou oblitèrent le sens. Georges Orwell

Hors ligne

#8 20-08-2020 15:08:18

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : [Bullseye] Le dmesg | grep obsolete du jour.

Bonjour
ce matin mise a jour de systemd , mais toujours les mêmes messages sur la commande .
pour le i386 tout correct , j'ai pu faire toutes les mises a jours
par contre pas regardé  les messages lors de l'installation archivé sur ma messagerie .

Hors ligne

Pied de page des forums